<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 30/6/2018
 * Time: 4:04 AM
 */

include '../comun/validarSesion.php';
include '../comun/uploadImage.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $ImageUploader = new uploadImage();

    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['descripcion']) && isset($_REQUEST['hora_apertura']) && isset($_REQUEST['hora_cierre']) && isset($_REQUEST['costo_tipo']) && isset($_REQUEST['costo']) && isset($_REQUEST['ubicacion'])  && isset($_REQUEST['tipo_id'])) {
            $validar  = R::findOne( 'amenidad', ' nombre = ? ', [ $_REQUEST['nombre'] ] );
            if (is_null($validar)==TRUE){
                $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
                $condominioData = $Valido->retornarDatos($creadoPor);
                $condominio = $condominioData["condominio_id"];
                $amenidad = R::dispense('amenidad');
                $amenidad->nombre = $_REQUEST['nombre'];
                $amenidad->descripcion = $_REQUEST['descripcion'];
                $amenidad->costo_tipo = $_REQUEST['costo_tipo'];
                $amenidad->costo = $_REQUEST['costo'];
                $amenidad->ubicacion = $_REQUEST['ubicacion'];
                $amenidad->tipo_id = $_REQUEST['tipo_id'];
                $amenidad->hora_apertura = $_REQUEST['hora_apertura'];
                $amenidad->hora_cierre = $_REQUEST['hora_cierre'];
                if (isset($_REQUEST['imagen'])){
                    $imagen = $_REQUEST['imagen'];
                    $amenidad->foto_principal = $ImageUploader->subirImagen($imagen);
                }else{
                    $amenidad->foto_principal = '';
                }
                $amenidad->id_condominio = $condominio;
                $amenidad->creado_por = $creadoPor;
                $amenidad->fechaRegistro = date('Y-m-d H:i:s');
                $amenidad->fechaModificacion = date('Y-m-d H:i:s');
                $amenidad->estado = 1;
                $id = R::store($amenidad);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}